Page MenuHomePhabricator

Image captions of gallery lose HTML markup if any while adapting and publishing
Closed, ResolvedPublic

Description

T96159 added support for galleries. The gallery image captions are adapted as plain text as of now. It loses html markup. Support adapting translations with HTML markup. Due to the nature of gallery markup, this will require converting the translation to wiki markup and keeping that in the wrapper ul tag.

Event Timeline

santhosh created this task.Jun 10 2015, 4:54 AM
santhosh raised the priority of this task from to Medium.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2015, 4:54 AM
Amire80 renamed this task from Image cpations of gallery lose HTML markup if any while adapting and publishing to Image captions of gallery lose HTML markup if any while adapting and publishing.Jun 12 2015, 11:54 AM
Amire80 set Security to None.
Amire80 moved this task from Backlog to Bugs on the ContentTranslation-Release6 board.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jun 25 2015, 11:11 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 2:44 PM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Apr 29 2019, 12:20 PM
Pginer-WMF closed this task as Resolved.May 13 2019, 2:21 PM
Pginer-WMF claimed this task.
Pginer-WMF added a subscriber: Pginer-WMF.

With the new version of Content translation, the gallery captions seem to preserve rich text (tested for links)